
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>MDSLibraries.sculptor_functions module &#8212; PhaserVoyager 0.0.1 documentation</title>
    <link rel="stylesheet" href="_static/sphinxdoc.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="MDSLibraries.shift_field_refinement module" href="MDSLibraries.shift_field_refinement.html" />
    <link rel="prev" title="MDSLibraries.phasertng_wrapper module" href="MDSLibraries.phasertng_wrapper.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.shift_field_refinement.html" title="MDSLibraries.shift_field_refinement module"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.phasertng_wrapper.html" title="MDSLibraries.phasertng_wrapper module"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PhaserVoyager 0.0.1 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="modules.html" >src</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="MDSLibraries.html" accesskey="U">MDSLibraries package</a> &#187;</li> 
      </ul>
    </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="MDSLibraries.phasertng_wrapper.html"
                        title="previous chapter">MDSLibraries.phasertng_wrapper module</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="MDSLibraries.shift_field_refinement.html"
                        title="next chapter">MDSLibraries.shift_field_refinement module</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/MDSLibraries.sculptor_functions.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-MDSLibraries.sculptor_functions">
<span id="mdslibraries-sculptor-functions-module"></span><h1>MDSLibraries.sculptor_functions module<a class="headerlink" href="#module-MDSLibraries.sculptor_functions" title="Permalink to this headline">¶</a></h1>
<dl class="exception">
<dt id="MDSLibraries.sculptor_functions.AlignmentReadError">
<em class="property">exception </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">AlignmentReadError</code><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#AlignmentReadError"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.AlignmentReadError" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#MDSLibraries.sculptor_functions.SculptorError" title="MDSLibraries.sculptor_functions.SculptorError"><code class="xref py py-class docutils literal notranslate"><span class="pre">MDSLibraries.sculptor_functions.SculptorError</span></code></a></p>
<p>Error occurred within read_in_alignment_files</p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.AlignmentSequence">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">AlignmentSequence</code><span class="sig-paren">(</span><em>name</em>, <em>alignment</em>, <em>index</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#AlignmentSequence"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.AlignmentSequence" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>A sequence from an alignment</p>
<dl class="method">
<dt id="MDSLibraries.sculptor_functions.AlignmentSequence.alignment">
<code class="descname">alignment</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#AlignmentSequence.alignment"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.AlignmentSequence.alignment" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.sculptor_functions.AlignmentSequence.gap">
<code class="descname">gap</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#AlignmentSequence.gap"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.AlignmentSequence.gap" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.sculptor_functions.AlignmentSequence.sequence">
<code class="descname">sequence</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#AlignmentSequence.sequence"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.AlignmentSequence.sequence" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.sculptor_functions.AlignmentSequence.sequence_name">
<code class="descname">sequence_name</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#AlignmentSequence.sequence_name"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.AlignmentSequence.sequence_name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.sculptor_functions.AlignmentSequence.target">
<code class="descname">target</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#AlignmentSequence.target"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.AlignmentSequence.target" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.ChaindiffProcessor">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">ChaindiffProcessor</code><span class="sig-paren">(</span><em>execute</em>, <em>simplify</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#ChaindiffProcessor"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.ChaindiffProcessor" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<dl class="classmethod">
<dt id="MDSLibraries.sculptor_functions.ChaindiffProcessor.log">
<em class="property">classmethod </em><code class="descname">log</code><span class="sig-paren">(</span><em>chaindiff</em>, <em>simplify</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#ChaindiffProcessor.log"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.ChaindiffProcessor.log" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="classmethod">
<dt id="MDSLibraries.sculptor_functions.ChaindiffProcessor.log_and_execute">
<em class="property">classmethod </em><code class="descname">log_and_execute</code><span class="sig-paren">(</span><em>chaindiff</em>, <em>simplify</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#ChaindiffProcessor.log_and_execute"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.ChaindiffProcessor.log_and_execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="staticmethod">
<dt id="MDSLibraries.sculptor_functions.ChaindiffProcessor.log_and_execute_modification">
<em class="property">static </em><code class="descname">log_and_execute_modification</code><span class="sig-paren">(</span><em>instruction</em>, <em>entity</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#ChaindiffProcessor.log_and_execute_modification"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.ChaindiffProcessor.log_and_execute_modification" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="staticmethod">
<dt id="MDSLibraries.sculptor_functions.ChaindiffProcessor.log_modification">
<em class="property">static </em><code class="descname">log_modification</code><span class="sig-paren">(</span><em>instruction</em>, <em>entity</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#ChaindiffProcessor.log_modification"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.ChaindiffProcessor.log_modification" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="staticmethod">
<dt id="MDSLibraries.sculptor_functions.ChaindiffProcessor.process">
<em class="property">static </em><code class="descname">process</code><span class="sig-paren">(</span><em>processor</em>, <em>chaindiff</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#ChaindiffProcessor.process"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.ChaindiffProcessor.process" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.sculptor_functions.ChaindiffProcessor.single_entity_modifications">
<code class="descname">single_entity_modifications</code><span class="sig-paren">(</span><em>diff</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#ChaindiffProcessor.single_entity_modifications"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.ChaindiffProcessor.single_entity_modifications" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="MDSLibraries.sculptor_functions.ErrorEstimationFailure">
<em class="property">exception </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">ErrorEstimationFailure</code><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#ErrorEstimationFailure"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.ErrorEstimationFailure" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#MDSLibraries.sculptor_functions.SculptorError" title="MDSLibraries.sculptor_functions.SculptorError"><code class="xref py py-class docutils literal notranslate"><span class="pre">MDSLibraries.sculptor_functions.SculptorError</span></code></a></p>
<p>Error occurred within estimate_error_from_structure</p>
</dd></dl>

<dl class="exception">
<dt id="MDSLibraries.sculptor_functions.ErrorFileReadFailure">
<em class="property">exception </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">ErrorFileReadFailure</code><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#ErrorFileReadFailure"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.ErrorFileReadFailure" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#MDSLibraries.sculptor_functions.SculptorError" title="MDSLibraries.sculptor_functions.SculptorError"><code class="xref py py-class docutils literal notranslate"><span class="pre">MDSLibraries.sculptor_functions.SculptorError</span></code></a></p>
<p>Error occurred within read_in_error_files</p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.HomologySearchHit">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">HomologySearchHit</code><span class="sig-paren">(</span><em>name</em>, <em>index</em>, <em>hit</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#HomologySearchHit"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.HomologySearchHit" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>A sequence from a homology search</p>
<dl class="method">
<dt id="MDSLibraries.sculptor_functions.HomologySearchHit.alignment">
<code class="descname">alignment</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#HomologySearchHit.alignment"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.HomologySearchHit.alignment" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.sculptor_functions.HomologySearchHit.gap">
<code class="descname">gap</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#HomologySearchHit.gap"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.HomologySearchHit.gap" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.sculptor_functions.HomologySearchHit.sequence">
<code class="descname">sequence</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#HomologySearchHit.sequence"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.HomologySearchHit.sequence" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.sculptor_functions.HomologySearchHit.target">
<code class="descname">target</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#HomologySearchHit.target"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.HomologySearchHit.target" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Bfactor_ASA">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Bfactor_ASA</code><span class="sig-paren">(</span><em>precision</em>, <em>probe_radius</em>, <em>factor</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Bfactor_ASA"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Bfactor_ASA" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Bfactor_Original">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Bfactor_Original</code><span class="sig-paren">(</span><em>factor</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Bfactor_Original"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Bfactor_Original" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Bfactor_RMS">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Bfactor_RMS</code><span class="sig-paren">(</span><em>factor</em>, <em>missing_value_substitution</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Bfactor_RMS"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Bfactor_RMS" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Bfactor_Similarity">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Bfactor_Similarity</code><span class="sig-paren">(</span><em>ssim</em>, <em>factor</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Bfactor_Similarity"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Bfactor_Similarity" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Bfactors">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Bfactors</code><span class="sig-paren">(</span><em>algorithms</em>, <em>minimum_b</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Bfactors"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Bfactors" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_ChoiceScope">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_ChoiceScope</code><span class="sig-paren">(</span><em>philgens</em>, <em>default</em>, <em>extra_infos</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_ChoiceScope"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_ChoiceScope" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<dl class="method">
<dt id="MDSLibraries.sculptor_functions.PhilGen_ChoiceScope.options">
<code class="descname">options</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_ChoiceScope.options"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_ChoiceScope.options" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Discard">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Discard</code><span class="sig-paren">(</span><em>keep</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Discard"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Discard" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_KeepAttached">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_KeepAttached</code><span class="sig-paren">(</span><em>maxdepth</em>, <em>maxlength</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_KeepAttached"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_KeepAttached" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Mainchain">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Mainchain</code><span class="sig-paren">(</span><em>deletion</em>, <em>polishing</em>, <em>remove_unaligned</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Mainchain"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Mainchain" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Mainchain_Deletion_All">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Mainchain_Deletion_All</code><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Mainchain_Deletion_All"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Mainchain_Deletion_All" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Mainchain_Deletion_CompletenessBasedSimilarity">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Mainchain_Deletion_CompletenessBasedSimilarity</code><span class="sig-paren">(</span><em>ssim</em>, <em>offset</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Mainchain_Deletion_CompletenessBasedSimilarity"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Mainchain_Deletion_CompletenessBasedSimilarity" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Mainchain_Deletion_Gap">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Mainchain_Deletion_Gap</code><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Mainchain_Deletion_Gap"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Mainchain_Deletion_Gap" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Mainchain_Deletion_RMSError">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Mainchain_Deletion_RMSError</code><span class="sig-paren">(</span><em>threshold</em>, <em>missing_value_substitution</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Mainchain_Deletion_RMSError"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Mainchain_Deletion_RMSError" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Mainchain_Deletion_RemoveLong">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Mainchain_Deletion_RemoveLong</code><span class="sig-paren">(</span><em>min_length</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Mainchain_Deletion_RemoveLong"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Mainchain_Deletion_RemoveLong" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Mainchain_Deletion_ResidueCountBasedSimilarity">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Mainchain_Deletion_ResidueCountBasedSimilarity</code><span class="sig-paren">(</span><em>ssim</em>, <em>offset</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Mainchain_Deletion_ResidueCountBasedSimilarity"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Mainchain_Deletion_ResidueCountBasedSimilarity" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Mainchain_Deletion_SuperpositionError">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Mainchain_Deletion_SuperpositionError</code><span class="sig-paren">(</span><em>threshold</em>, <em>missing_value_substitution</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Mainchain_Deletion_SuperpositionError"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Mainchain_Deletion_SuperpositionError" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Mainchain_Deletion_ThresholdBasedSimilarity">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Mainchain_Deletion_ThresholdBasedSimilarity</code><span class="sig-paren">(</span><em>ssim</em>, <em>threshold</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Mainchain_Deletion_ThresholdBasedSimilarity"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Mainchain_Deletion_ThresholdBasedSimilarity" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Mainchain_Polishing_KeepRegular">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Mainchain_Polishing_KeepRegular</code><span class="sig-paren">(</span><em>max_length</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Mainchain_Polishing_KeepRegular"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Mainchain_Polishing_KeepRegular" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Mainchain_Polishing_RemoveShort">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Mainchain_Polishing_RemoveShort</code><span class="sig-paren">(</span><em>min_length</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Mainchain_Polishing_RemoveShort"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Mainchain_Polishing_RemoveShort" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Mainchain_Polishing_UndoShort">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Mainchain_Polishing_UndoShort</code><span class="sig-paren">(</span><em>max_length</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Mainchain_Polishing_UndoShort"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Mainchain_Polishing_UndoShort" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Morph">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Morph</code><span class="sig-paren">(</span><em>pruning</em>, <em>rename</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Morph"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Morph" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Morph_Completion">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Morph_Completion</code><span class="sig-paren">(</span><em>choices</em>, <em>default</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Morph_Completion"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Morph_Completion" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Morph_Mapping">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Morph_Mapping</code><span class="sig-paren">(</span><em>algorithm</em>, <em>map_if_identical</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Morph_Mapping"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Morph_Mapping" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Morph_Mapping2D">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Morph_Mapping2D</code><span class="sig-paren">(</span><em>match_chemical_elements</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Morph_Mapping2D"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Morph_Mapping2D" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Morph_Mapping3D">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Morph_Mapping3D</code><span class="sig-paren">(</span><em>match_chemical_elements</em>, <em>tolerance</em>, <em>fine_sampling</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Morph_Mapping3D"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Morph_Mapping3D" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Morph_Pruning">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Morph_Pruning</code><span class="sig-paren">(</span><em>algorithm</em>, <em>pruning_level_unaligned</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Morph_Pruning"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Morph_Pruning" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Morph_Pruning_Null">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Morph_Pruning_Null</code><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Morph_Pruning_Null"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Morph_Pruning_Null" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Morph_Pruning_Schwarzenbacher">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Morph_Pruning_Schwarzenbacher</code><span class="sig-paren">(</span><em>pruning_level</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Morph_Pruning_Schwarzenbacher"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Morph_Pruning_Schwarzenbacher" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Morph_Pruning_Similarity">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Morph_Pruning_Similarity</code><span class="sig-paren">(</span><em>pruning_level</em>, <em>full_length_limit</em>, <em>full_truncation_limit</em>, <em>ssim</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Morph_Pruning_Similarity"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Morph_Pruning_Similarity" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Morph_Rename">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Morph_Rename</code><span class="sig-paren">(</span><em>keep_ptm</em>, <em>gapname</em>, <em>mapping</em>, <em>completion</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Morph_Rename"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Morph_Rename" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<dl class="attribute">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Morph_Rename.GETTER_FOR">
<code class="descname">GETTER_FOR</code><em class="property"> = {'original': &lt;function use_original_resnames&gt;, 'target': &lt;function use_target_sequence_resnames&gt;}</em><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Morph_Rename.GETTER_FOR" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Morph_Rename.rename_phil">
<code class="descname">rename_phil</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Morph_Rename.rename_phil"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Morph_Rename.rename_phil" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_MultiChoiceScope">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_MultiChoiceScope</code><span class="sig-paren">(</span><em>philgens</em>, <em>defaults</em>, <em>extra_infos</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_MultiChoiceScope"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_MultiChoiceScope" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<dl class="method">
<dt id="MDSLibraries.sculptor_functions.PhilGen_MultiChoiceScope.options">
<code class="descname">options</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_MultiChoiceScope.options"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_MultiChoiceScope.options" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Renumber">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Renumber</code><span class="sig-paren">(</span><em>start</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Renumber"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Renumber" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<dl class="attribute">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Renumber.GETTER_FOR">
<code class="descname">GETTER_FOR</code><em class="property"> = {'model': &lt;function use_model_sequence_numbering&gt;, 'original': &lt;function use_original_numbering&gt;, 'target': &lt;function use_target_sequence_numbering&gt;}</em><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Renumber.GETTER_FOR" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Sculptor">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Sculptor</code><span class="sig-paren">(</span><em>processors</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Sculptor"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Sculptor" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_SequenceSimilarity">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_SequenceSimilarity</code><span class="sig-paren">(</span><em>matrices</em>, <em>smoothing_for</em>, <em>smoothing_default</em>, <em>window</em>, <em>weightings</em>, <em>bleed_length</em>, <em>maxdist</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_SequenceSimilarity"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_SequenceSimilarity" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>A class that stores possible choices and defaults for this scope</p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Substitution_MaximumValue">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Substitution_MaximumValue</code><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Substitution_MaximumValue"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Substitution_MaximumValue" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.PhilGen_Substitution_ScaledInterpolatedValue">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">PhilGen_Substitution_ScaledInterpolatedValue</code><span class="sig-paren">(</span><em>extrapolation_step_scale</em>, <em>interpolation_step_scale</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#PhilGen_Substitution_ScaledInterpolatedValue"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.PhilGen_Substitution_ScaledInterpolatedValue" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="exception">
<dt id="MDSLibraries.sculptor_functions.SculptorError">
<em class="property">exception </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">SculptorError</code><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#SculptorError"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.SculptorError" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">exceptions.Exception</span></code></p>
<p>Error occurred in the sculptor module</p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.sculptor_functions.SubstituteScaledInterpolatedValue">
<em class="property">class </em><code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">SubstituteScaledInterpolatedValue</code><span class="sig-paren">(</span><em>extrapolation_step_scale</em>, <em>interpolation_step_scale</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#SubstituteScaledInterpolatedValue"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.SubstituteScaledInterpolatedValue" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.align_with_sequence">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">align_with_sequence</code><span class="sig-paren">(</span><em>chain</em>, <em>mmt</em>, <em>target</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#align_with_sequence"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.align_with_sequence" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.atom_frame_linear_averaged_sequence_similarity">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">atom_frame_linear_averaged_sequence_similarity</code><span class="sig-paren">(</span><em>matrix</em>, <em>params</em>, <em>weighting_for</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#atom_frame_linear_averaged_sequence_similarity"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.atom_frame_linear_averaged_sequence_similarity" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.atom_frame_spatial_averaged_sequence_similarity">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">atom_frame_spatial_averaged_sequence_similarity</code><span class="sig-paren">(</span><em>matrix</em>, <em>params</em>, <em>*args</em>, <em>**kwargs</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#atom_frame_spatial_averaged_sequence_similarity"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.atom_frame_spatial_averaged_sequence_similarity" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.calculate_cumulative_identity">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">calculate_cumulative_identity</code><span class="sig-paren">(</span><em>chain_data</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#calculate_cumulative_identity"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.calculate_cumulative_identity" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.calculate_cumulative_rms">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">calculate_cumulative_rms</code><span class="sig-paren">(</span><em>chain_data</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#calculate_cumulative_rms"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.calculate_cumulative_rms" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.chain_alignment">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">chain_alignment</code><span class="sig-paren">(</span><em>chain</em>, <em>mmt</em>, <em>trials</em>, <em>params</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#chain_alignment"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.chain_alignment" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.create_chain_alignment">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">create_chain_alignment</code><span class="sig-paren">(</span><em>name</em>, <em>chain</em>, <em>mmt</em>, <em>sequence_for</em>, <em>chainalign_params</em>, <em>alignments</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#create_chain_alignment"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.create_chain_alignment" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.create_chain_sample">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">create_chain_sample</code><span class="sig-paren">(</span><em>name</em>, <em>chain</em>, <em>alignments</em>, <em>sequence_for</em>, <em>errors_for</em>, <em>superposition_errors_for</em>, <em>chainalign_params</em>, <em>error_params</em>, <em>logger</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#create_chain_sample"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.create_chain_sample" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.estimate_error_from_structure">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">estimate_error_from_structure</code><span class="sig-paren">(</span><em>chain</em>, <em>chainalignment</em>, <em>mmt</em>, <em>min_sequence_coverage</em>, <em>homology_modelling_params</em>, <em>output_file_prefix</em>, <em>logger</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#estimate_error_from_structure"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.estimate_error_from_structure" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.find_errors_for">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">find_errors_for</code><span class="sig-paren">(</span><em>chain</em>, <em>errors_for</em>, <em>min_identity</em>, <em>min_fraction</em>, <em>stage</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#find_errors_for"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.find_errors_for" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.get_phaser_model_rms_remark">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">get_phaser_model_rms_remark</code><span class="sig-paren">(</span><em>mid</em>, <em>rms</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#get_phaser_model_rms_remark"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.get_phaser_model_rms_remark" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.get_processor_for">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">get_processor_for</code><span class="sig-paren">(</span><em>params</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#get_processor_for"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.get_processor_for" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.get_standard_logger">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">get_standard_logger</code><span class="sig-paren">(</span><em>stream=&lt;open file '&lt;stdout&gt;'</em>, <em>mode 'w'&gt;</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#get_standard_logger"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.get_standard_logger" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.get_triangular_weights">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">get_triangular_weights</code><span class="sig-paren">(</span><em>window</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#get_triangular_weights"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.get_triangular_weights" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.get_unit_weights">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">get_unit_weights</code><span class="sig-paren">(</span><em>window</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#get_unit_weights"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.get_unit_weights" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.no_error_search_for">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">no_error_search_for</code><span class="sig-paren">(</span><em>chain</em>, <em>errors_for</em>, <em>min_identity</em>, <em>min_fraction</em>, <em>stage</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#no_error_search_for"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.no_error_search_for" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.prepare_for_internal_run">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">prepare_for_internal_run</code><span class="sig-paren">(</span><em>philpath</em>, <em>userdefined</em>, <em>loggervoyager</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#prepare_for_internal_run"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.prepare_for_internal_run" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.preprocess_error_file">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">preprocess_error_file</code><span class="sig-paren">(</span><em>filename</em>, <em>logger</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#preprocess_error_file"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.preprocess_error_file" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.read_in_alignment_files">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">read_in_alignment_files</code><span class="sig-paren">(</span><em>params</em>, <em>min_hss_length=5</em>, <em>min_sequence_identity=0.4</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#read_in_alignment_files"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.read_in_alignment_files" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.read_in_error_files">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">read_in_error_files</code><span class="sig-paren">(</span><em>error_scopes</em>, <em>caption</em>, <em>logger</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#read_in_error_files"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.read_in_error_files" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.read_in_homology_search_files">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">read_in_homology_search_files</code><span class="sig-paren">(</span><em>params</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#read_in_homology_search_files"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.read_in_homology_search_files" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.reformat_alignment_sequence">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">reformat_alignment_sequence</code><span class="sig-paren">(</span><em>sequence</em>, <em>gap</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#reformat_alignment_sequence"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.reformat_alignment_sequence" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.remove_alternate_conformations">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">remove_alternate_conformations</code><span class="sig-paren">(</span><em>root</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#remove_alternate_conformations"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.remove_alternate_conformations" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.remove_hydrogens">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">remove_hydrogens</code><span class="sig-paren">(</span><em>root</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#remove_hydrogens"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.remove_hydrogens" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.residue_frame_linear_averaged_sequence_similarity">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">residue_frame_linear_averaged_sequence_similarity</code><span class="sig-paren">(</span><em>matrix</em>, <em>params</em>, <em>weighting_for</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#residue_frame_linear_averaged_sequence_similarity"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.residue_frame_linear_averaged_sequence_similarity" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.residue_frame_spatial_averaged_sequence_similarity">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">residue_frame_spatial_averaged_sequence_similarity</code><span class="sig-paren">(</span><em>matrix</em>, <em>params</em>, <em>*args</em>, <em>**kwargs</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#residue_frame_spatial_averaged_sequence_similarity"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.residue_frame_spatial_averaged_sequence_similarity" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.restrict_model_count">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">restrict_model_count</code><span class="sig-paren">(</span><em>root</em>, <em>max_count</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#restrict_model_count"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.restrict_model_count" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.run">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">run</code><span class="sig-paren">(</span><em>phil</em>, <em>logger</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#run"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.run" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.sanitize_occupancies">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">sanitize_occupancies</code><span class="sig-paren">(</span><em>root</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#sanitize_occupancies"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.sanitize_occupancies" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.sequence_agreement_between">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">sequence_agreement_between</code><span class="sig-paren">(</span><em>chain</em>, <em>rg_for</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#sequence_agreement_between"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.sequence_agreement_between" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.substitute_maximum_value">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">substitute_maximum_value</code><span class="sig-paren">(</span><em>sequence</em>, <em>all_none_substitute</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#substitute_maximum_value"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.substitute_maximum_value" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.use_model_sequence_numbering">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">use_model_sequence_numbering</code><span class="sig-paren">(</span><em>start</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#use_model_sequence_numbering"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.use_model_sequence_numbering" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.use_original_numbering">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">use_original_numbering</code><span class="sig-paren">(</span><em>start</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#use_original_numbering"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.use_original_numbering" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.use_original_resnames">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">use_original_resnames</code><span class="sig-paren">(</span><em>mapping</em>, <em>keep_ptm</em>, <em>completion</em>, <em>gapname</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#use_original_resnames"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.use_original_resnames" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.use_target_sequence_numbering">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">use_target_sequence_numbering</code><span class="sig-paren">(</span><em>start</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#use_target_sequence_numbering"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.use_target_sequence_numbering" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.use_target_sequence_resnames">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">use_target_sequence_resnames</code><span class="sig-paren">(</span><em>mapping</em>, <em>keep_ptm</em>, <em>completion</em>, <em>gapname</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#use_target_sequence_resnames"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.use_target_sequence_resnames" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.validate_params">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">validate_params</code><span class="sig-paren">(</span><em>params</em>, <em>logger</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#validate_params"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.validate_params" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.sculptor_functions.write_pdb_output">
<code class="descclassname">MDSLibraries.sculptor_functions.</code><code class="descname">write_pdb_output</code><span class="sig-paren">(</span><em>prefix</em>, <em>root</em>, <em>crystal</em>, <em>annotations</em>, <em>identities</em>, <em>chaindiffs</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/sculptor_functions.html#write_pdb_output"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.sculptor_functions.write_pdb_output" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.shift_field_refinement.html" title="MDSLibraries.shift_field_refinement module"
             >next</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.phasertng_wrapper.html" title="MDSLibraries.phasertng_wrapper module"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PhaserVoyager 0.0.1 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="modules.html" >src</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="MDSLibraries.html" >MDSLibraries package</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2020, Massimo D. Sammito.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.8.5.
    </div>
  </body>
</html>